Read multiple files
Read multiple files. Returns multipart/form-data where each part's name is the file path and body is the raw file bytes.
Read multiple files. Returns multipart/form-data where each part's name is the file path and body is the raw file bytes.
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
paths*array<string>
List of file paths to read.
Items
1 <= itemsResponse Body
multipart/form-data
application/json
application/json
curl -X POST "https://api.leap0.dev/v1/sandbox/string/filesystem/read-files" \ -H "Content-Type: application/json" \ -d '{ "paths": [ "string" ] }'{ "property1": "string", "property2": "string"}{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}
